Bug 64568 - fetchall option breaks fetchmailconf:<test fetchmail> and <run fetchmail>
fetchall option breaks fetchmailconf:<test fetchmail> and <run fetchmail>
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: fetchmail (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-07 21:27 EDT by Ben Levenson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 12:49:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2002-05-07 21:27:18 EDT
Description of Problem:
if "Fetch old messages as well as new" option is checked under fetchmailconf
user options, the <test fetchmail> or <run fetchmail> operation will hang.

Version-Release number of selected component (if applicable):
fetchmail-5.9.0-5
fetchmailconf-5.9.0-5

How Reproducible:
100%

Steps to Reproduce:
1. configure fetchmail w/ fetchmailconf 
2. enable "Fetch old messages ...." under user options
3. save 
4. click <test fetchmail> (in first fetchmailconf window), or <run fetchmail>

Actual Results:
hang

Additional Information:
everything works as expected without the fetchall option.

WORKS:
# Configuration created Tue May  7 21:21:01 2002 by fetchmailconf
set postmaster "postmaster"
set bouncemail
set no spambounce
set properties ""
poll server.nowhere.com with proto IMAP
       user 'user1' there with password 'hackme' is 'root' here ssl

DOESN'T WORK:
# Configuration created Tue May  7 21:22:39 2002 by fetchmailconf
set postmaster "postmaster"
set bouncemail
set no spambounce
set properties ""
poll server.nowhere.com with proto IMAP
       user 'user1' there with password 'hackme' is 'root' here options fetchall ssl
Comment 1 Ben Levenson 2004-06-21 12:49:45 EDT
no fetchmailconf in RHEL3. 
CLOSING -> WONTFIX 

Note You need to log in before you can comment on or make changes to this bug.